<?php
namespace Claromentis\Pages\View;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_4d707fab93" . "bebb00bbe69" . "e8159697c90" => base64_decode(""));
use Claromentis\Core\Application;
use Claromentis\Core\Component\ComponentInterface;
use Claromentis\Core\Component\OptionsInterface;







class GridPlaceholderComponent implements ComponentInterface
{
    protected $component;
    public function __construct(ComponentInterface $component)
    {
        $this->component = $component;
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function GetOptions()
    {
        return $this->component->GetOptions();
    }
    
    
    
    
    
    
    
    
    
    
    public function ShowBody($id_string, OptionsInterface $options, Application $_6eb6fcb92c942851e079f8ec5fb80324)
    {
        return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4d707fab93bebb00bbe69" . "e8159697c90"];
    }
    
    
    
    
    
    
    
    
    
    
    
    public function ShowHeader($id_string, OptionsInterface $options, Application $_6eb6fcb92c942851e079f8ec5fb80324)
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4d707fab93bebb0" . "0bbe69e8159697c9" . "0"];
    }
    
    
    
    
    
    
    
    
    public function GetSizeConstraints()
    {
        return $this->component->GetSizeConstraints();
    }
    
    
    
    
    
    
    
    
    
    
    
    public function GetCssClass()
    {
        return $this->component->GetCssClass();
    }
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function GetCoverInfo()
    {
        return $this->component->GetCoverInfo();
    }
}